This commit is contained in:
Andras Schmelczer 2025-08-26 21:06:22 +01:00
parent 16fc3a8234
commit 6afb828bd9
No known key found for this signature in database
GPG key ID: FC8F2C3D3D1A718C
2 changed files with 13 additions and 2 deletions

View file

@ -9,8 +9,6 @@ cargo fmt --all -- --check
cargo machete
cargo test --verbose
scripts/update-api-types.sh
echo "Running checks in frontend"
cd ../frontend
npm ci

View file

@ -3,6 +3,12 @@
set -e
set -o pipefail
node_version=$(node -v | sed 's/^v\([0-9]*\).*/\1/')
if [ "$node_version" != "22" ]; then
echo "Error: This script requires Node.js version 22, found: $node_version"
exit 1
fi
# Check if the argument is provided
if [ $# -eq 0 ]; then
echo "Usage: $0 <number_of_processes>"
@ -20,6 +26,13 @@ npm run build
../scripts/utils/wait-for-server.sh
../scripts/update-api-types.sh
if [[ $(git status --porcelain) ]]; then
git status --porcelain
echo "Failing CI because the working directory is not clean after generating api types"
exit 1
fi
pids=()
for i in $(seq 1 $process_count); do
node test-client/dist/cli.js > "../logs/log_${i}.log" 2>&1 &